Description

Add the option of passing an array object of parameters to support unlimited arguments. This should be already supported in
JACORB libraries.

History

#1 - 07/01/2010 05:19 PM - Scott Butler

see: http://jacob-project.cvs.sourceforge.net/viewvc/jacob-project/jacob/src/com/jacob/com/Dispatch.java?view=marku
We need to modify RemoteCOM.java and change the function : public JSVariant call(String methodName, Object[] args) , to call the Dispatch.callN
instead of Dispatch.call in the function code so it will pass unlimited arguments.

#2 - 07/01/2010 05:19 PM - Scott Butler

- Assignee set to Imre Tokai

#3 - 07/03/2010 01:33 PM - Imre Tokai
- Status changed from New to In Progress

- % Done changed from 0 to 50

Fix is committed in RemoteCOM.java around line 27:
/ return new JSVariant(Dispatch.call(axo, methodName, args));
return new JSVariant(Dispatch.callN(axo, methodName, args));

Note:

public JSVariant call(String methodName, Object arg1, Object arg2, Object arg3,...
has errors;

#4 - 01/25/2011 05:54 PM - Scott Butler
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

This is complete. option was added to pass an array of objects instead of objects as separate parameters.
